# Class WtpFacet

java.lang.Object
org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
org.gradle.plugins.ide.eclipse.model.WtpFacet

All Implemented Interfaces:
  `org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject`

public class WtpFacet extends org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
Creates the .settings/org.eclipse.wst.common.project.facet.core.xml file for WTP projects.

## Constructor Summary

Constructors
Constructor
Description
`WtpFacet(org.gradle.internal.xml.XmlTransformer xmlTransformer)`

## Method Summary

Modifier and Type
Method
Description
`void`
`configure(List<Facet> facets)`
`boolean`
`equals(Object o)`
`protected String`
`getDefaultResourceName()`
`List<Facet>`
`getFacets()`
`int`
`hashCode()`
`protected void`
`load(Node xml)`
`void`
`setFacets(List<Facet> facets)`
`protected void`
`store(Node xml)`
`String`
`toString()`

### Methods inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

`findFirstChildNamed, findFirstChildWithAttributeValue, findFirstWithAttributeValue, findOrCreateFirstChildNamed, findOrCreateFirstChildWithAttributeValue, getChildren, getXml, load, store, transformAction, transformAction`

### Methods inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject

`load, loadDefaults, store`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WtpFacet

public WtpFacet(org.gradle.internal.xml.XmlTransformer xmlTransformer)

## Method Details

### getFacets

public List<Facet> getFacets()

### setFacets

public void setFacets(List<Facet> facets)

### load

protected void load(Node xml)

Overrides:
  `load` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

### store

protected void store(Node xml)

Overrides:
  `store` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

### getDefaultResourceName

protected String getDefaultResourceName()

Specified by:
  `getDefaultResourceName` in class `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject`

### configure

public void configure(List<Facet> facets)

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`